internal::multifunction_body_leaf< Input, OutputSet, B > Class Template Reference

leaf for multifunction. OutputSet can be a std::tuple or a vector. More...

`#include <_flow_graph_body_impl.h>`

Inheritance diagram for internal::multifunction_body_leaf< Input, OutputSet, B >:
Collaboration diagram for internal::multifunction_body_leaf< Input, OutputSet, B >:

## Public Member Functions

| multifunction_body_leaf (const B &_body)
void | operator() (const Input &input, OutputSet &oset) __TBB_override
void * | get_body_ptr () __TBB_override
multifunction_body_leaf * | clone () __TBB_override
Public Member Functions inherited from internal::multifunction_body< Input, OutputSet >
virtual | ~multifunction_body ()

## Private Attributes

B | body

## Detailed Description

### template<typename Input, typename OutputSet, typename B>
class internal::multifunction_body_leaf< Input, OutputSet, B >

leaf for multifunction. OutputSet can be a std::tuple or a vector.

Definition at line 202 of file _flow_graph_body_impl.h.

## Constructor & Destructor Documentation

## multifunction_body_leaf()

template<typename Input , typename OutputSet , typename B >

internal::multifunction_body_leaf< Input, OutputSet, B >::multifunction_body_leaf | ( | const B & | _body | ) |

inline

Definition at line 204 of file _flow_graph_body_impl.h.

: body(_body) { }

## Member Function Documentation

## clone()

template<typename Input , typename OutputSet , typename B >

multifunction_body_leaf* internal::multifunction_body_leaf< Input, OutputSet, B >::clone | ( |  | ) |

inline virtual

Implements internal::multifunction_body< Input, OutputSet >.

Definition at line 209 of file _flow_graph_body_impl.h.

{
return new multifunction_body_leaf<Input, OutputSet,B>(body);
}

References internal::multifunction_body_leaf< Input, OutputSet, B >::body.

## get_body_ptr()

template<typename Input , typename OutputSet , typename B >

void* internal::multifunction_body_leaf< Input, OutputSet, B >::get_body_ptr | ( |  | ) |

inline virtual

Implements internal::multifunction_body< Input, OutputSet >.

Definition at line 208 of file _flow_graph_body_impl.h.

{ return &body; }

References internal::multifunction_body_leaf< Input, OutputSet, B >::body.

## operator()()

template<typename Input , typename OutputSet , typename B >

void internal::multifunction_body_leaf< Input, OutputSet, B >::operator() | ( | const Input & | input,
|  | OutputSet & | oset
| ) |  |

inline virtual

Implements internal::multifunction_body< Input, OutputSet >.

Definition at line 205 of file _flow_graph_body_impl.h.

{
body(input, oset); // body may explicitly put() to one or more of oset.
}

References internal::multifunction_body_leaf< Input, OutputSet, B >::body.

## Member Data Documentation

## body

template<typename Input , typename OutputSet , typename B >

B internal::multifunction_body_leaf< Input, OutputSet, B >::body

private

Definition at line 214 of file _flow_graph_body_impl.h.

Referenced by internal::multifunction_body_leaf< Input, OutputSet, B >::clone(), internal::multifunction_body_leaf< Input, OutputSet, B >::get_body_ptr(), and internal::multifunction_body_leaf< Input, OutputSet, B >::operator()().

The documentation for this class was generated from the following file:

- _flow_graph_body_impl.h

internal::multifunction_body_leaf::body
B body
Definition: _flow_graph_body_impl.h:214

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.